#
# spec file for package libgnomecups (Version 0.2.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs diffutils fdupes file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-common grep groff gzip info insserv intltool less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-XML-Parser perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel

Name:           libgnomecups
BuildRequires:  cups-devel fdupes glib2-devel gnome-common intltool zlib-devel
%if %suse_version <= 1020
# Missing in cups-devel:
BuildRequires:  openssl-devel
%endif
Version:        0.2.2
Release:        123.2
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later; LGPL v2 or later
Summary:        GNOME CUPS Library
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
Patch0:         only-once.patch
Patch1:         cups-1.2.patch
Patch2:         libgnomecups-callback-fix.patch
Patch3:         libgnomecups-lpoptions.patch
Patch4:         libgnomecups-ignore-default-ipp-warning.patch
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%description
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.



Authors:
--------
    Dave Camp <dave@ximian.com>
    Michael Meeks <michael@ximian.com>
    Chris Lahey <clahey@ximian.com>

%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME CUPS Library
Requires:       %{name} = %{version} cups-devel glib2-devel zlib-devel

%description devel
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.



Authors:
--------
    Dave Camp <dave@ximian.com>
    Michael Meeks <michael@ximian.com>
    Chris Lahey <clahey@ximian.com>

%lang_package
%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
rm po/no.*
sed -i "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in

%build
autoreconf -f -i
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%changelog
* Wed Oct 17 2007 - crivera@suse.de
- Add a fix for Bug 304262 to silence IPP warnings if there
  isn't a default printer selected.
* Tue Sep 18 2007 - crivera@suse.de
- Add a one line patch to ensure that libgnomecups looks for the
  correct user lpoptions file.
* Wed Aug 08 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Aug 03 2007 - crivera@suse.de
- Add libgnomecups-callback-fix.patch to make sure we set the
  cups authentication callback for all threads.  Without this
  the UI will hang because the default callback blocks on standard
  input.
* Thu Mar 29 2007 - aj@suse.de
- Add zlib-devel to BuildRequires.
* Tue Feb 13 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Fri Jan 19 2007 - sbrabec@suse.cz
- Build correctly in older products.
* Mon Jan 08 2007 - sbrabec@suse.cz
- Spec file cleanup.
* Mon Jan 08 2007 - ro@suse.de
- GNOME moved to /usr
* Mon Nov 20 2006 - fejj@suse.de
- Added cups-1.2.patch to fix bug #213927
* Mon Feb 27 2006 - fejj@suse.de
- Fixed a type-o I had made in the spec file previously.
* Thu Feb 23 2006 - fejj@suse.de
- Added only-once.patch to the build which is a partial fix for bug #146845 (the other half of the fix is in gnome-cups-manager package).
* Mon Jan 30 2006 - aj@suse.de
- Fix requires for devel subpackage.
- Remove unneded BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 07 2005 - gekker@suse.de
- Update to version 0.2.2
- Fix crashes in print dialogs (#118797)
* Mon Sep 12 2005 - ro@suse.de
- fix requires of devel subpackage
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 0.2.1 (GNOME 2.12)
* Tue Mar 08 2005 - jody@suse.de
- upstream release of 0.2.0 for gnome 2.10
- patch crash when renaming
- merge redhat optimization patch to do async ppd lookup
* Tue Dec 14 2004 - jody@suse.de
- upstream release of 0.1.14 patches some renaming issues
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - jody@suse.de
- Sync with upstream 0.1.12 release
- Updated translations
- more lenient with spaces in urls
* Mon Sep 27 2004 - ro@suse.de
- remove libgnomeprint* from neededforbuild, kill builddep cycle
* Mon Sep 13 2004 - jody@suse.de
- Sync with upstream 0.1.12 release
- Add a SuSE specific patch to disable the direct use of hostnames
  which in some circumstances can trigger an infinite loop in cups
- Add more thread safety
* Tue Aug 24 2004 - jody@suse.de
- Sync with upstream 0.1.11 release
- More api additions and convenience routines
- No QA visibile changes
* Wed Aug 18 2004 - jody@suse.de
- Sync with upstream 0.1.10 release
- Some async extensions and api changes
- No QA visibile changes
* Fri Jul 16 2004 - jody@suse.de
- Test release of 0.1.9 with the browsing and simplfication
* Thu May 13 2004 - sbrabec@suse.cz
- New SuSE package, version 0.1.6.
